module.exports = function(grunt) {

    grunt.initConfig({

        //LINT javascript files
        jshint: {
            files: ['Gruntfile.js', 'js/*.js'],
            options: {
                globals: {
                    jQuery: true
                }
            }
        },


        //MINIFY javascript files
        uglify: {
            options: {
                mangle: false
            },
            my_target: {
                files: {
                    'js/weekli.min.js': ['js/weekli.js']
                }
            }
        },


        //COMPILE less
        less: {
            // production config is also available
            development: {
                options: {
                    paths: ['less/']
                },
                files: {
                    //compilation.css  :  source.less
                    "css/weekli.css": "css/weekli.less"
                }
            }
        },

        //CONNECT and SERVE on browser
        connect: {
            server: {
                options: {
                    port: 9001
                }
            }
        },

        watch: {
            files: ['js/*.js', 'js/*.js', 'css/*.less'],
            tasks: ['jshint', 'uglify', 'less']
        },

        bump: {
            options: {
                files: ['package.json', 'bower.json'],
                commit: ['package.json', 'bower.json'],
                commitMessage: 'update bower and package to %VERSION%',
                push: false
            }
        }
    });

    grunt.loadNpmTasks('grunt-contrib-jshint');
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-contrib-less');
    grunt.loadNpmTasks('grunt-contrib-connect');
    grunt.loadNpmTasks('grunt-bump');

    grunt.registerTask('default', ['jshint', 'uglify', 'less','connect', 'watch']);
};